Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class PdfInteger

    java.lang.Object
      org.pdfclown.objects.PdfObject
          org.pdfclown.objects.PdfDataObject
              org.pdfclown.objects.PdfDirectObject
                  org.pdfclown.objects.PdfSimpleObject<TValue>
                      org.pdfclown.objects.PdfNumber<Integer>
                          org.pdfclown.objects.PdfInteger

All Implemented Interfaces:
  Cloneable, Comparable<PdfDirectObject>, IVisitable

    public final class PdfInteger

extends PdfNumber<Integer>

PDF integer number object [PDF:1.6:3.2.2].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static PdfInteger` | `Default`

Constructor Summary
`PdfInteger(int value)`

Method Summary
`PdfObject` | `accept(IVisitor visitor, Object data)` Accepts a visit.
`static PdfInteger` | `get(Integer value)` Gets the object equivalent to the given value.
`double` | `getDoubleValue()` Gets the double-precision floating-point representation of the value.
`float` | `getFloatValue()` Gets the floating-point representation of the value.
`int` | `getIntValue()` Gets the integer representation of the value.
`Integer` | `getValue()` Gets the high-level representation of the value.
`protected void` | `setValue(Object value)`
`void` | `writeTo(IOutputStream stream, File context)` Serializes this object to the specified stream.

Methods inherited from class org.pdfclown.objects.PdfNumber
`compareTo, equals, hashCode`

Methods inherited from class org.pdfclown.objects.PdfSimpleObject
`clone, get, getParent, getRawValue, getValue, getValue, isUpdateable, isUpdated, isVirtual, setRawValue, setUpdateable, setUpdated, setVirtual, swap, toString`

Methods inherited from class org.pdfclown.objects.PdfObject
`clone, clone, getContainer, getDataContainer, getFile, getIndirectObject, getReference, resolve, resolve, unresolve, unresolve, update`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Default

    public static final PdfInteger Default

Constructor Detail

### PdfInteger

    public PdfInteger(int value)

Method Detail

### get

    public static PdfInteger get(Integer value)

  Gets the object equivalent to the given value.

### accept

    public PdfObject accept(IVisitor visitor,
                            Object data)

  Description copied from interface: `IVisitable`
  Accepts a visit.

  Parameters:
    `visitor` - Visiting object.
    `data` - Supplemental data.
  Returns:
    Result object.

### getDoubleValue

    public double getDoubleValue()

  Description copied from class: `PdfNumber`
  Gets the double-precision floating-point representation of the value.

  Specified by:
    `getDoubleValue` in class `PdfNumber<Integer>`

### getFloatValue

    public float getFloatValue()

  Description copied from class: `PdfNumber`
  Gets the floating-point representation of the value.

  Specified by:
    `getFloatValue` in class `PdfNumber<Integer>`

### getIntValue

    public int getIntValue()

  Description copied from class: `PdfNumber`
  Gets the integer representation of the value.

  Specified by:
    `getIntValue` in class `PdfNumber<Integer>`

### getValue

    public Integer getValue()

  Description copied from class: `PdfSimpleObject`
  Gets the high-level representation of the value.

  Overrides:
    `getValue` in class `PdfNumber<Integer>`

### writeTo

    public void writeTo(IOutputStream stream,
                        File context)

  Description copied from class: `PdfObject`
  Serializes this object to the specified stream.

  Specified by:
    `writeTo` in class `PdfObject`
  Parameters:
    `stream` - Target stream.
    `context` - File context.

### setValue

    protected void setValue(Object value)

  Overrides:
    `setValue` in class `PdfSimpleObject<Integer>`
  See Also:
    `PdfSimpleObject.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.